<template>
  <div>
    <div class="field">
      <label class="label">NIM</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="NIM"
          v-model="NIM"
        />
      </div>
    </div>

    <div class="field">
      <label class="label">NAMA</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="NAMA"
          v-model="NAMA"
        />
      </div>
    </div>
 
    <div class="field">
      <label class="label">ALAMAT</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="ALAMAT"
          v-model="ALAMAT"
        />
      </div>
    </div>
 
    <div class="control">
      <button class="button is-success" @click="saveMahasiswa">SAVE</button>
    </div>
  </div>
</template>
 
<script>
// import axios
import axios from "axios";
 
export default {
  name: "AddMahasiswa",
  data() {
    return {
      NIM: "",
      NAMA: "",
      ALAMAT: "",
    };
  },
  methods: {
    // Create New product
    async saveMahasiswa() {
      try {
        await axios.post("http://localhost:5000/mahasiswas", {
          nim_mhs: this.NIM,
          nama_mhs: this.NAMA,
          alamat_mhs: this.ALAMAT,
        });
        this.NIM = "";
        this.NAMA = "";
        this.ALAMAT = "";
        this.$router.push("/");
      } catch (err) {
        console.log(err);
      }
    },
  },
};
</script>
 
<style>
</style>